The default bug view has changed. See this FAQ.
Bug 634180 (ltn-win64)

Provide 64-bit Windows package for Lightning

RESOLVED WORKSFORME

Status

Calendar
Build Config
--
enhancement
RESOLVED WORKSFORME
6 years ago
2 years ago

People

(Reporter: Stephen Aberle, Unassigned)

Tracking

(Depends on: 1 bug)

Trunk
x86_64
Windows 7

Details

(URL)

(Reporter)

Description

6 years ago
User-Agent:       Mozilla/4.0 (compatible; MSIE 8.0; Windows NT 6.1; WOW64; Trident/4.0; GTB6.4; SLCC2; .NET CLR 2.0.50727; .NET CLR 3.5.30729; .NET CLR 3.0.30729; Media Center PC 6.0; MAAU; .NET4.0C)
Build Identifier: 

I'm trying to install Lightning into Lanikai version 3.1.7 with Windows 7. When I try to install it, I get the following "Incompatible Extension" error: 

"Lightning" could not be installed because it is not compatible with your Lanikai build type (WINNT_x86_64-msvc). Please contact the author of this item about the problem. 

I can't find an installation package for a Windows x_86_64 version of Lightning. Is there one? 

Reproducible: Always

Steps to Reproduce:
1. Open Lanikai v. 3.1.7 x86_64 in Windows 7.
2. Click Tools | Add-ons. 
3. Locate Lightning in the Recommended Add-ons pane and click [Add to Lanikai...]
Actual Results:  
I received the following "Incompatible Extension" error: 

"Lightning" could not be installed because it is not compatible with your Lanikai build type (WINNT_x86_64-msvc). Please contact the author of this item about the problem. 


Expected Results:  
I expected a successful installation of Lightning for Lanikai 3.1.7 

I can't find an installation package for a Windows x_86_64 version of Lightning. Is there one?
(Reporter)

Updated

6 years ago
Version: unspecified → Lightning 1.0b2

Comment 1

6 years ago
Dicussion about this is at http://forums.mozillazine.org/viewtopic.php?f=46&t=2036453 

It seems as there is no 64bit Windows support yet. 

I think you could install a 32 bit Thunderbird...

Updated

6 years ago
Status: UNCONFIRMED → NEW
Component: General → Build Config
Ever confirmed: true
QA Contact: general → build
Summary: "Lightning" could not be installed because it is not compatible with your Lanikai build type (WINNT_x86_64-msvc). Please contact the author of this item about the problem. → Provide 64-bit Windows package for Lightning
Version: Lightning 1.0b2 → Trunk
(In reply to comment #0)
> I expected a successful installation of Lightning for Lanikai 3.1.7 

The 64-bit version of Lanikai is an unsupported version provided by a contributor. Thunderbird does not yet officially support 64 bit windows (nor does it provide builds).

> I can't find an installation package for a Windows x_86_64 version of
> Lightning. Is there one?

Not currently, because until the 64-bit Thunderbird builds are official, or at least generated for nightlies, there's no reason for Lightning 64-bit builds to be made available (this doesn't, of course, stop outside contributions of those builds).

Comment 3

6 years ago
I tried to find a bug for providing 64 bit builds of thunderbird, but could not find it. is it tracked somewhere? I wanted to block this bug on that one ...
(In reply to comment #3)
> I tried to find a bug for providing 64 bit builds of thunderbird, but could not
> find it. is it tracked somewhere? I wanted to block this bug on that one ...

No bug for Thunderbird 64-bit build.  About Seamonkey, it is bug 482143.
Depends on: 634233
I've filed bug 634233 for the Thunderbird support.

Updated

6 years ago
Severity: major → enhancement
Alias: ltn-win64

Comment 6

2 years ago
Should we resolve this as WFM?

For every win64 Thunderbird nightly test build there is a corresponding win64 Lightning test build available from https://ftp.mozilla.org/pub/mozilla.org/calendar/lightning/nightly/latest-comm-central/
I think those builds are only created for central and aurora. If this gets enabled for beta we might need to take additional steps, I would have to merge the windows builds like I do the linux builds. I'm fine with closing this WFM. If you happen to see win64 beta builds of Thunderbird show up please let me know.
Status: NEW → RESOLVED
Last Resolved: 2 years ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.